<!--
IGAC proyecto SNC
@franz.gamba
@version 2.0
@cu CU-NP-FA 107

@description ventana modal que permite  ver los detalles de una capacitacion

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridDetallesCapacitacion">



    <h:outputLabel value="Fecha de la capacitación: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{capacitacionParam.fecha}"
                  styleClass="outputTextStyle" />

    <p:separator/>

    <h:outputLabel value="Descripción de la capacitación: "
                   styleClass="outputLabelStyle" />
    <h:outputText value="#{capacitacionParam.descripcion}"
                  styleClass="outputTextStyle" />

    <p:separator/>

    <h:outputLabel value="Acta: " styleClass="outputLabelStyle" />
    <h:outputText
        value="#{capacitacionParam.actaDocumento.documento.archivo}"
        styleClass="outputTextStyle" />

    <p:dataTable var="asistente" id="tablaAsistentesCapacitacion"
                 paginatorPosition="bottom" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="5,10,15" resizableColumns="false"				
                 value="#{capacitacionParam.capacitacionAsistentes}"
                 emptyMessage="No existen asistentes registrados">

        <p:column headerText="Nombre">
            <h:outputText value="#{asistente.nombre}" />
        </p:column>
        <p:column headerText="No. Documento">
            <h:outputText value="#{asistente.documentoIdentificacion}" />
        </p:column>
    </p:dataTable>

    <h:panelGrid columns="2" cellspacing="3">
        <p:spacer height="0" width="470" />
        <p:commandButton id="btnConfirmar"
                         widgetVar="confirmarWV" icon="ui-icon ui-icon-check"
                         value="Aceptar" oncomplete="detalleCapacitacionWV.hide()"
                         process="@this" />			
    </h:panelGrid>

</h:panelGrid>
